petsc-3.4.2 2013-07-02

# PCGAMG

Geometric algebraic multigrid (AMG) preconditioning framework. - This is the entry point to GAMG, registered in pcregis.c

### Options Database Keys

Multigrid options(inherited)

| -pc_mg_cycles <1>: 1 for V cycle, 2 for W | - cycle (PCMGSetCycleType)
| -pc_mg_smoothup <1>: Number of post | - smoothing steps (PCMGSetNumberSmoothUp)
| -pc_mg_smoothdown <1>: Number of pre | - smoothing steps (PCMGSetNumberSmoothDown)
| -pc_mg_type <multiplicative>: (one of) additive multiplicative full kascade | -

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC, PCMGType,
PCMGSetLevels(), PCMGGetLevels(), PCMGSetType(), PCMGSetCycleType(), PCMGSetNumberSmoothDown(), PCMGSetNumberSmoothUp(), PCMGGetCoarseSolve(), PCMGSetResidual(), PCMGSetInterpolation(), PCMGSetRestriction(), PCMGGetSmoother(), PCMGGetSmootherUp(), PCMGGetSmootherDown(), PCMGSetCyclesOnLevel(), PCMGSetRhs(), PCMGSetX(), PCMGSetR()

Level:intermediate
Location:src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex54.c.html
src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html